summaryrefslogtreecommitdiff
path: root/t/t3300-funny-names.sh
diff options
context:
space:
mode:
authorLibravatar Junio C Hamano <gitster@pobox.com>2012-09-14 11:53:45 -0700
committerLibravatar Junio C Hamano <gitster@pobox.com>2012-09-14 11:53:45 -0700
commit0ca416f166df7e96d9115a1fe213720f09a1417b (patch)
treef2e86dbc3c9e7f8b45a0588ed4f97be4afd930c4 /t/t3300-funny-names.sh
parentMerge git://github.com/git-l10n/git-po (diff)
parenttest-lib.sh: Suppress the "passed all ..." message if no tests run (diff)
downloadtgif-0ca416f166df7e96d9115a1fe213720f09a1417b.tar.xz
Merge branch 'rj/tap-fix'
* rj/tap-fix: test-lib.sh: Suppress the "passed all ..." message if no tests run test-lib.sh: Add check for invalid use of 'skip_all' facility test-lib.sh: Fix some shell coding style violations t4016-*.sh: Skip all tests rather than each test t3902-*.sh: Skip all tests rather than each test t3300-*.sh: Fix a TAP parse error
Diffstat (limited to 't/t3300-funny-names.sh')
-rwxr-xr-xt/t3300-funny-names.sh24
1 files changed, 11 insertions, 13 deletions
diff --git a/t/t3300-funny-names.sh b/t/t3300-funny-names.sh
index 1f35e55ee3..7480d6e7c2 100755
--- a/t/t3300-funny-names.sh
+++ b/t/t3300-funny-names.sh
@@ -11,6 +11,16 @@ tree, index, and tree objects.
. ./test-lib.sh
+HT=' '
+
+echo 2>/dev/null > "Name with an${HT}HT"
+if ! test -f "Name with an${HT}HT"
+then
+ # since FAT/NTFS does not allow tabs in filenames, skip this test
+ skip_all='Your filesystem does not allow tabs in filenames'
+ test_done
+fi
+
p0='no-funny'
p1='tabs ," (dq) and spaces'
p2='just space'
@@ -23,21 +33,9 @@ test_expect_success 'setup' '
EOF
{ cat "$p0" >"$p1" || :; } &&
- { echo "Foo Bar Baz" >"$p2" || :; } &&
-
- if test -f "$p1" && cmp "$p0" "$p1"
- then
- test_set_prereq TABS_IN_FILENAMES
- fi
+ { echo "Foo Bar Baz" >"$p2" || :; }
'
-if ! test_have_prereq TABS_IN_FILENAMES
-then
- # since FAT/NTFS does not allow tabs in filenames, skip this test
- skip_all='Your filesystem does not allow tabs in filenames'
- test_done
-fi
-
test_expect_success 'setup: populate index and tree' '
git update-index --add "$p0" "$p2" &&
t0=$(git write-tree)